Subject: 29.0.50; Obsolete documentation of `cl-symbol-macrolet'

From: Wing Hei Chan <[email-masked]>
Date: Wed, 17 Aug 2022 18:26:44 +0800

The documentation of `cl-symbol-macrolet' fails to reflect the changes
in "Fix bug#26073", that is, `let'-bindings shadow symbol macro
bindings.